Freeciv-3.2: unit_order Struct Reference

Freeciv-3.2

Loading...
Searching...
No Matches
Data Fields
unit_order Struct Reference

`#include <unit.h>`

## Data Fields

enum unit_orders | order
enum unit_activity | activity
int | target
int | sub_target
int | action
enum direction8 | dir

## Detailed Description

Definition at line 92 of file unit.h.

## Field Documentation

## ◆ action

int unit_order::action

Definition at line 100 of file unit.h.

Referenced by compat_post_load_030100(), dio_get_unit_order_raw(), dio_put_unit_order_raw(), execute_orders(), handle_unit_orders(), order_recursive_roads(), request_move_unit_direction(), request_unit_non_action_move(), send_connect_route(), send_goto_route(), sg_save_player_units(), unit_order_activity_to_action(), unpackage_unit(), and upgrade_unit_order_targets().

## ◆ activity

enum unit_activity unit_order::activity

Definition at line 94 of file unit.h.

Referenced by dio_get_unit_order_raw(), dio_put_unit_order_raw(), execute_orders(), handle_unit_orders(), order_recursive_roads(), request_move_unit_direction(), request_unit_non_action_move(), send_connect_route(), send_goto_route(), sg_save_player_units(), and unit_order_activity_to_action().

## ◆ dir

enum direction8 unit_order::dir

Definition at line 102 of file unit.h.

Referenced by dio_get_unit_order_raw(), dio_put_unit_order_raw(), draw_segment(), execute_orders(), handle_unit_orders(), order_recursive_roads(), request_move_unit_direction(), request_unit_non_action_move(), send_connect_route(), send_goto_route(), sg_save_player_units(), and upgrade_unit_order_targets().

## ◆ order

enum unit_orders unit_order::order

Definition at line 93 of file unit.h.

Referenced by compat_post_load_030100(), dio_get_unit_order_raw(), dio_put_unit_order_raw(), execute_orders(), handle_unit_orders(), order_recursive_roads(), request_move_unit_direction(), request_unit_non_action_move(), request_unit_return(), send_connect_route(), send_goto_route(), sg_load_player_city(), sg_load_player_unit(), sg_load_player_unit(), sg_save_player_units(), show_unit_orders(), unit_order_activity_to_action(), unpackage_unit(), and upgrade_unit_order_targets().

## ◆ sub_target

int unit_order::sub_target

Definition at line 98 of file unit.h.

Referenced by compat_post_load_030100(), dio_get_unit_order_raw(), dio_put_unit_order_raw(), execute_orders(), handle_unit_orders(), order_recursive_roads(), request_move_unit_direction(), request_unit_non_action_move(), send_connect_route(), send_goto_route(), sg_save_player_units(), and unit_order_list_is_sane().

## ◆ target

int unit_order::target

Definition at line 97 of file unit.h.

Referenced by dio_get_unit_order_raw(), dio_put_unit_order_raw(), execute_orders(), handle_unit_orders(), order_recursive_roads(), request_move_unit_direction(), request_unit_non_action_move(), send_connect_route(), send_goto_route(), sg_save_player_units(), and upgrade_unit_order_targets().